@import '../../../../../../../../../vendor/scandipwa/source/src/app/component/SearchOverlay/SearchOverlay.style.scss';

:root {
    --search-criteria-background: var(--header-background);
    --search-criteria-label-color: var(--header-background);
    --search-criteria-search-term-color: #fff;
    --search-item-divider-color: #eee;
    --search-item-title-color: var(--header-background);
}

.SearchOverlay {
    max-height: calc(100vh - var(--header-total-height));

    & > * {
        color: #fff;
        background: var(--header-background);
    }

    &-Criteria {
        overflow: hidden;
        max-height: 0;
        padding: 0;
        margin-bottom: 0;

        opacity: 0;
        color: #fff;
        background-color: var(--header-background);
        transition: opacity 200ms;
        will-change: max-height, padding, opacity;

        &_isVisible {
            max-height: 100px;
            padding: 0.7rem 1rem 0.5rem;
            opacity: 1;
        }

        strong {
            margin-left: 5px;
            color: #fff;
        }
    }

    &-Wrapper {
        display: grid;
        grid-template-columns: 7.5rem auto;
        grid-column-gap: 1rem;
    }

    &-Title {
        max-width: 100%;
        color: #fff;
        font-size: 12px;
        font-weight: 500;
        line-height: 14px;
    }

    .SearchItem {
        padding: 0.7rem 0;
        &::after {
            display: none;
        }

        &-Title {
            max-width: 100%;
            padding: 8px 0;
            color: #fff;
            font-size: 12px;
            font-weight: 500;
            line-height: 14px;

            &_isLoaded {
                overflow: auto;
                text-overflow: unset;
                white-space: normal;
            }
        }

        &-Wrapper {
            display: grid;
            grid-template-columns: 7.5rem auto;
            grid-column-gap: 1rem;
        }
    }

    a {
        color: #fff;
    }

    .Image_imageStatus_0,
    .Image_isPlaceholder {
        background-image: linear-gradient(to right, #343434 0, #464646 15%, #343434 30%);
    }

    .TextPlaceholder::after {
        background-image: linear-gradient(to right, #343434 0, #464646 15%, #343434 30%);
    }

    &-Sku {
        color: #a3a3a3;
        font-size: 0.8rem;
        font-weight: 200;
        text-transform: uppercase;
        line-height: 1.2rem;
    }

    &-Price {
        color: #f51339;
        font-size: 12px;
        font-weight: 500;
        line-height: 16px;
    }

    &-OldPrice {
        padding-left: 5px;
        color: #ccc;
        font-weight: 400;
        text-decoration-line: line-through;
    }

    &-Title {
        padding: 8px 0;
    }

    &-Results {
        padding: 1rem;

        @include desktop {
            max-height: calc(100vh - var(--header-total-height) - 7rem);
            padding: 1rem;
            overflow-y: auto;
        }

        > p {
            @include desktop {
                text-align: center;
            }
        }
    }
}

.prm .SearchOverlay {
    .Image_imageStatus_0,
    .Image_isPlaceholder {
        background-image: linear-gradient(to right, #ebebeb 0, var(--placeholder-gradient-color) 15%, #ebebeb 30%);
    }

    .TextPlaceholder::after {
        background-image: linear-gradient(to right, #ebebeb 0, var(--placeholder-gradient-color) 15%, #ebebeb 30%);
    }

    &-Criteria {
        color: #292929;

        strong {
            color: #292929;
        }
    }

    &-Results {
        > p {
            color: #292929;
        }
    }
}
